<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:12 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>RunTestExecutable (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="RunTestExecutable (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/nativeplatform/test/tasks/RunTestExecutable.html" target="_top">Frames</a></li>
<li><a href="RunTestExecutable.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.nativeplatform.test.tasks</div>
<h2 title="Class RunTestExecutable" class="title">Class RunTestExecutable</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.internal.AbstractTask</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/gradle/api/DefaultTask.html" title="class in org.gradle.api">org.gradle.api.DefaultTask</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.internal.ConventionTask</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/gradle/api/tasks/AbstractExecTask.html" title="class in org.gradle.api.tasks">org.gradle.api.tasks.AbstractExecTask</a>&lt;<a href="../../../../../org/gradle/nativeplatform/test/tasks/RunTestExecutable.html" title="class in org.gradle.nativeplatform.test.tasks">RunTestExecutable</a>&gt;</li>
<li>
<ul class="inheritance">
<li>org.gradle.nativeplatform.test.tasks.RunTestExecutable</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, <a href="../../../../../org/gradle/api/plugins/ExtensionAware.html" title="interface in org.gradle.api.plugins">ExtensionAware</a>, <a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>, <a href="../../../../../org/gradle/process/BaseExecSpec.html" title="interface in org.gradle.process">BaseExecSpec</a>, <a href="../../../../../org/gradle/process/ExecSpec.html" title="interface in org.gradle.process">ExecSpec</a>, <a href="../../../../../org/gradle/process/ProcessForkOptions.html" title="interface in org.gradle.process">ProcessForkOptions</a>, org.gradle.util.Configurable&lt;<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;</dd>
</dl>
<hr>
<br>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public class <span class="strong">RunTestExecutable</span>
extends <a href="../../../../../org/gradle/api/tasks/AbstractExecTask.html" title="class in org.gradle.api.tasks">AbstractExecTask</a>&lt;<a href="../../../../../org/gradle/nativeplatform/test/tasks/RunTestExecutable.html" title="class in org.gradle.nativeplatform.test.tasks">RunTestExecutable</a>&gt;</pre>
<div class="block">Runs a compiled and installed test executable.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../../org/gradle/api/Task.Namer.html" title="class in org.gradle.api">Task.Namer</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../../org/gradle/api/Task.html#TASK_ACTION">TASK_ACTION</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_DEPENDS_ON">TASK_DEPENDS_ON</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_DESCRIPTION">TASK_DESCRIPTION</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_GROUP">TASK_GROUP</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_NAME">TASK_NAME</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_OVERWRITE">TASK_OVERWRITE</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_TYPE">TASK_TYPE</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../org/gradle/nativeplatform/test/tasks/RunTestExecutable.html#RunTestExecutable()">RunTestExecutable</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/nativeplatform/test/tasks/RunTestExecutable.html#exec()">exec</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/nativeplatform/test/tasks/RunTestExecutable.html#getIgnoreFailures()">getIgnoreFailures</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/nativeplatform/test/tasks/RunTestExecutable.html#getOutputDir()">getOutputDir</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/nativeplatform/test/tasks/RunTestExecutable.html#isIgnoreFailures()">isIgnoreFailures</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/nativeplatform/test/tasks/RunTestExecutable.html#setIgnoreFailures(boolean)">setIgnoreFailures</a></strong>(boolean&nbsp;ignoreFailures)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/nativeplatform/test/tasks/RunTestExecutable.html#setOutputDir(java.io.File)">setOutputDir</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;outputDir)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.tasks.AbstractExecTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.tasks.<a href="../../../../../org/gradle/api/tasks/AbstractExecTask.html" title="class in org.gradle.api.tasks">AbstractExecTask</a></h3>
<code><a href="../../../../../org/gradle/api/tasks/AbstractExecTask.html#args(java.lang.Iterable)">args</a>, <a href="../../../../../org/gradle/api/tasks/AbstractExecTask.html#args(java.lang.Object...)">args</a>, <a href="../../../../../org/gradle/api/tasks/AbstractExecTask.html#commandLine(java.lang.Iterable)">commandLine</a>, <a href="../../../../../org/gradle/api/tasks/AbstractExecTask.html#commandLine(java.lang.Object...)">commandLine</a>, <a href="../../../../../org/gradle/api/tasks/AbstractExecTask.html#copyTo(org.gradle.process.ProcessForkOptions)">copyTo</a>, <a href="../../../../../org/gradle/api/tasks/AbstractExecTask.html#environment(java.util.Map)">environment</a>, <a href="../../../../../org/gradle/api/tasks/AbstractExecTask.html#environment(java.lang.String,%20java.lang.Object)">environment</a>, <a href="../../../../../org/gradle/api/tasks/AbstractExecTask.html#executable(java.lang.Object)">executable</a>, <a href="../../../../../org/gradle/api/tasks/AbstractExecTask.html#getArgs()">getArgs</a>, <a href="../../../../../org/gradle/api/tasks/AbstractExecTask.html#getCommandLine()">getCommandLine</a>, <a href="../../../../../org/gradle/api/tasks/AbstractExecTask.html#getEnvironment()">getEnvironment</a>, <a href="../../../../../org/gradle/api/tasks/AbstractExecTask.html#getErrorOutput()">getErrorOutput</a>, <a href="../../../../../org/gradle/api/tasks/AbstractExecTask.html#getExecActionFactory()">getExecActionFactory</a>, <a href="../../../../../org/gradle/api/tasks/AbstractExecTask.html#getExecResult()">getExecResult</a>, <a href="../../../../../org/gradle/api/tasks/AbstractExecTask.html#getExecutable()">getExecutable</a>, <a href="../../../../../org/gradle/api/tasks/AbstractExecTask.html#getStandardInput()">getStandardInput</a>, <a href="../../../../../org/gradle/api/tasks/AbstractExecTask.html#getStandardOutput()">getStandardOutput</a>, <a href="../../../../../org/gradle/api/tasks/AbstractExecTask.html#getWorkingDir()">getWorkingDir</a>, <a href="../../../../../org/gradle/api/tasks/AbstractExecTask.html#isIgnoreExitValue()">isIgnoreExitValue</a>, <a href="../../../../../org/gradle/api/tasks/AbstractExecTask.html#setArgs(java.lang.Iterable)">setArgs</a>, <a href="../../../../../org/gradle/api/tasks/AbstractExecTask.html#setArgs(java.util.List)">setArgs</a>, <a href="../../../../../org/gradle/api/tasks/AbstractExecTask.html#setCommandLine(java.lang.Iterable)">setCommandLine</a>, <a href="../../../../../org/gradle/api/tasks/AbstractExecTask.html#setCommandLine(java.util.List)">setCommandLine</a>, <a href="../../../../../org/gradle/api/tasks/AbstractExecTask.html#setCommandLine(java.lang.Object...)">setCommandLine</a>, <a href="../../../../../org/gradle/api/tasks/AbstractExecTask.html#setEnvironment(java.util.Map)">setEnvironment</a>, <a href="../../../../../org/gradle/api/tasks/AbstractExecTask.html#setErrorOutput(java.io.OutputStream)">setErrorOutput</a>, <a href="../../../../../org/gradle/api/tasks/AbstractExecTask.html#setExecutable(java.lang.Object)">setExecutable</a>, <a href="../../../../../org/gradle/api/tasks/AbstractExecTask.html#setExecutable(java.lang.String)">setExecutable</a>, <a href="../../../../../org/gradle/api/tasks/AbstractExecTask.html#setIgnoreExitValue(boolean)">setIgnoreExitValue</a>, <a href="../../../../../org/gradle/api/tasks/AbstractExecTask.html#setStandardInput(java.io.InputStream)">setStandardInput</a>, <a href="../../../../../org/gradle/api/tasks/AbstractExecTask.html#setStandardOutput(java.io.OutputStream)">setStandardOutput</a>, <a href="../../../../../org/gradle/api/tasks/AbstractExecTask.html#setWorkingDir(java.io.File)">setWorkingDir</a>, <a href="../../../../../org/gradle/api/tasks/AbstractExecTask.html#setWorkingDir(java.lang.Object)">setWorkingDir</a>, <a href="../../../../../org/gradle/api/tasks/AbstractExecTask.html#workingDir(java.lang.Object)">workingDir</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.internal.ConventionTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.internal.ConventionTask</h3>
<code>conventionMapping, conventionMapping, getConventionMapping</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.internal.AbstractTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.internal.AbstractTask</h3>
<code>addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, newInputFile, newOutputDirectory, newOutputFile, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="RunTestExecutable()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>RunTestExecutable</h4>
<pre>public&nbsp;RunTestExecutable()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="exec()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>exec</h4>
<pre>protected&nbsp;void&nbsp;exec()</pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="../../../../../org/gradle/api/tasks/AbstractExecTask.html#exec()">exec</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/gradle/api/tasks/AbstractExecTask.html" title="class in org.gradle.api.tasks">AbstractExecTask</a>&lt;<a href="../../../../../org/gradle/nativeplatform/test/tasks/RunTestExecutable.html" title="class in org.gradle.nativeplatform.test.tasks">RunTestExecutable</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="getOutputDir()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOutputDir</h4>
<pre><a href="../../../../../org/gradle/api/tasks/OutputDirectory.html" title="annotation in org.gradle.api.tasks">@OutputDirectory</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getOutputDir()</pre>
</li>
</ul>
<a name="setOutputDir(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOutputDir</h4>
<pre>public&nbsp;void&nbsp;setOutputDir(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;outputDir)</pre>
</li>
</ul>
<a name="getIgnoreFailures()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIgnoreFailures</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
public&nbsp;boolean&nbsp;getIgnoreFailures()</pre>
</li>
</ul>
<a name="isIgnoreFailures()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isIgnoreFailures</h4>
<pre>public&nbsp;boolean&nbsp;isIgnoreFailures()</pre>
</li>
</ul>
<a name="setIgnoreFailures(boolean)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setIgnoreFailures</h4>
<pre>public&nbsp;void&nbsp;setIgnoreFailures(boolean&nbsp;ignoreFailures)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/nativeplatform/test/tasks/RunTestExecutable.html" target="_top">Frames</a></li>
<li><a href="RunTestExecutable.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
